// pages/login/index.js
var app = getApp();
var api = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var we_chat_user = wx.getStorageSync('we_chat_user')
    if (we_chat_user) {
      wx.redirectTo({
        url: '/pages/bind-phone/index',
      })
    }
  },

  bindGetUserInfo: function (e) {
    if(e.detail.errMsg == 'getUserInfo:ok') {
      wx.showLoading({
        title: '登录中',
      })
      console.log(wx.getStorageSync('we_chat_user_id'))
      wx.request({
        url: api.updateUserInfoUrl,
        method: 'POST',
        data: {
          id: wx.getStorageSync('we_chat_user_id'),
          iv: e.detail.iv,
          encryptedData: e.detail.encryptedData
        },
        success: info => {
          console.log(info)
          if (info.data.status == 'success') {
            wx.setStorageSync('we_chat_user', info.data.data);
            wx.redirectTo({
              url: '/pages/bind-phone/index',
            })
          }
        },
        complete: res => {
          wx.hideLoading()
        }
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})